#---------------------------------------------------
# Glue Trigger Variables
#---------------------------------------------------
variable "glue_trigger_name" {
  type        = string
  description = "Name of the glue trigger."
}
variable "glue_job_name" {
  type        = string
  default     = ""
  description = "Name of the glue job for action."
}
variable "glue_crawler_name" {
  type        = string
  default     = ""
  description = "Name of the glue crawler for action."
}
variable "glue_trigger_description" {
  type        = string
  description = "Brief Description of the glue trigger"
}
variable "timeout" {
  type        = string
  description = "The job run timeout in minutes. It overrides the timeout value of the job. Defaults to 2880"
}
variable "create_timeout" {
  type        = string
  description = "How long to wait for a trigger to be created. Defaults to 5m"
}
variable "delete_timeout" {
  type        = string
  description = "How long to wait for a trigger to be deleted. Defaults to 5m"
}
variable "glue_trigger_enabled" {
  type        = bool
  description = "Whether the trigger should be enabled (defaults to false)"
  default     = false
}
variable "glue_trigger_schedule" {
  type = any
  description = "A cron expression used to specify the schedule"
  default = null
}
variable "glue_trigger_type" {
  type        = string
  description = "The type of trigger that this is."
}
variable "notify_delay_after" {
  type        = string
  description = "After a job run starts, the number of minutes to wait before sending a job run delay notification. Defaults to 30 minutes."
}
variable "predicate_logical" {
  type        = string
  description = "How to handle multiple conditions. Defaults to AND. Valid values are AND or ANY."
  default     = "ANY" 
}
variable "predicate_conditions" {
  type        = any
  default     = []
  description = "A list of the conditions that determine when the trigger will fire."
}

# https://confluence.carbonblack.local/display/cbengx/SBU+AWS+Tagging+Policy
variable "tags" {
  description = "A mapping of tags to assign to the resource"
  type        = map(string)
}